Activity log for bug #1745508

Date Who What changed Old value New value Message
2018-01-25 23:49:40 Jonathan Derrick bug added bug
2018-01-26 00:00:05 Ubuntu Kernel Bot linux (Ubuntu): status New Incomplete
2018-01-26 00:00:06 Ubuntu Kernel Bot tags xenial
2018-01-29 16:11:04 Joseph Salisbury linux (Ubuntu): importance Undecided Medium
2018-01-29 16:11:08 Joseph Salisbury linux (Ubuntu): status Incomplete Triaged
2018-01-29 16:11:16 Joseph Salisbury nominated for series Ubuntu Artful
2018-01-29 16:11:16 Joseph Salisbury bug task added linux (Ubuntu Artful)
2018-01-29 16:11:22 Joseph Salisbury linux (Ubuntu Artful): status New Triaged
2018-01-29 16:11:25 Joseph Salisbury linux (Ubuntu Artful): importance Undecided Medium
2018-01-29 16:12:14 Joseph Salisbury linux (Ubuntu): assignee Joseph Salisbury (jsalisbury)
2018-01-29 16:12:18 Joseph Salisbury linux (Ubuntu Artful): assignee Joseph Salisbury (jsalisbury)
2018-01-29 19:07:29 Joseph Salisbury linux (Ubuntu): status Triaged In Progress
2018-01-29 19:07:34 Joseph Salisbury linux (Ubuntu Artful): status Triaged In Progress
2018-02-01 18:31:28 Joseph Salisbury description Can you please backport VMD suspend/resume fixes from 4.14 to current 4.13 HWE? [Fixes] commit e2b1820bd5d0962d6f271b0d47c3a0e38647df2f Author: Scott Bauer <scott.bauer@intel.com> Date: Fri Aug 11 14:54:32 2017 -0600 PCI: vmd: Free up IRQs on suspend path [Impact] Without this patch, servers with VMD enabled may run into issues suspending and resuming [Test Case] Typically this manifests by having many other devices having acquired IRQ resources competing with VMD. Without the patch, the server may fail to suspend when it can't move the IRQs to core 0 because of the lack of IRQs available on core 0. [Regression Potential] Low. This only affects one component of one arch and affects the non-typical use-case of suspending a server == SRU Justification == This bug was opened to request commit e2b1820bd5d0 be backported from 4.14 to the 4.13 kernel in Artful. Without this patch, servers with VMD enabled run into issues suspending and resuming. Commit e2b1820bd5d0962d6f271b0d47c3a0e38647df2f is in mainline as of v4.14-rc1. [Fixes] commit e2b1820bd5d0962d6f271b0d47c3a0e38647df2f Author: Scott Bauer <scott.bauer@intel.com> Date: Fri Aug 11 14:54:32 2017 -0600     PCI: vmd: Free up IRQs on suspend path [Impact] Without this patch, servers with VMD enabled may run into issues suspending and resuming [Test Case] Typically this manifests by having many other devices having acquired IRQ resources competing with VMD. Without the patch, the server may fail to suspend when it can't move the IRQs to core 0 because of the lack of IRQs available on core 0. [Regression Potential] Low. This only affects one component of one arch and affects the non-typical use-case of suspending a server
2018-02-17 04:56:31 Khaled El Mously linux (Ubuntu Artful): status In Progress Fix Committed
2018-03-08 08:31:59 Joseph Salisbury linux (Ubuntu): status In Progress Fix Committed
2018-03-19 10:57:45 Stefan Bader tags xenial verification-needed-artful xenial
2018-03-23 16:49:49 Jonathan Derrick tags verification-needed-artful xenial verification-done-artful xenial
2018-04-03 14:10:10 Launchpad Janitor linux (Ubuntu Artful): status Fix Committed Fix Released
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-0861
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-1000407
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-15129
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-16994
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17448
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17450
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17741
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17805
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17806
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17807
2018-04-03 14:10:10 Launchpad Janitor cve linked 2018-1000026
2018-04-03 14:10:10 Launchpad Janitor cve linked 2018-5332
2018-04-03 14:10:10 Launchpad Janitor cve linked 2018-5333
2018-04-03 14:10:10 Launchpad Janitor cve linked 2018-5344